name: Test

on:
  push:
    branches:
      - main

jobs:
  bean-check:
    runs-on: debian-latest
    steps:
    - name: Install pipx
      run: |
        apt update
        apt install -y pipx
    - name: Install beancount
      run: |
        pipx install beancount
        pipx inject beancount beancount-periodic

    - uses: actions/checkout@v4

    - run: /root/.local/bin/bean-check bitlair.beancount
